Subject: Re: [PATCH] powerpc: dtb and purgatory support for ppc32

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Thu, 02 Oct 2008 15:03:19 +0200

Kumar Gala wrote:
> 
> On Oct 1, 2008, at 4:20 PM, Sebastian Andrzej Siewior wrote:
> 
>> From: Sebastian Siewior <[email-masked]>
>>
>> Some code dtb scanning & filling has been borrowed from ppc64.
>> The old behavior is still available if compiled with GameCube,
>> other PowerPC platform use the can purgatory and specify a new
>> dtb.
>> The purgatory is disabled because somehting is wrong and I dunno
>> the reason. Booting a self containd cuImage (incl. dtb / wiuthout
>> the need for a bd sturct) can be booted.
>>
>> Signed-off-by: Sebastian Andrzej Siewior <[email-masked]>
>> ---
>> kexec/arch/ppc/Makefile            |    1 +
>> kexec/arch/ppc/kexec-elf-ppc.c     |  167 ++++++++++----
>> kexec/arch/ppc/kexec-elf-rel-ppc.c |    4 +
>> kexec/arch/ppc/kexec-ppc.c         |  469 
>> +++++++++++++++++++++++++++++++++++-
>> purgatory/arch/ppc/Makefile        |    1 +
>> purgatory/arch/ppc/purgatory-ppc.c |    4 +
>> purgatory/arch/ppc/v2wrap.S        |   54 ++++
>> 7 files changed, 652 insertions(+), 48 deletions(-)
>> create mode 100644 purgatory/arch/ppc/v2wrap.S
> 
> I think I might have realized some of my confusion.. is this patch to 
> the kernel or to some kexec tool?   If its to the kernel I don't answer 
> at all.  If its to some kexec tool than that wasn't clear at all.

Patch 1 and 2 were for kernel side support. Patch 3 is kexec userland 
only. I wrote this down in the patch first email (should be 0/3) but now I 
see that git did not enumerate them. Sorry for that, I see that I have to 
work on git skills....

The two patches tagged with [RFC] is kernel side support. The third patch 
tagged with [PATCH] is also meant to be [RFC] and is the kexec userland 
part against [1].

[1] git://git.kernel.org/pub/scm/linux/kernel/git/horms/kexec-tools.git

> - k

Sebastian